## kde-spectacle 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
# Managed by release script
set(PROJECT_VERSION "6.3.4")
set(SPECTACLE_VERSION ${PROJECT_VERSION})

# Spectacle project
project(Spectacle VERSION ${SPECTACLE_VERSION})

# minimum requirements
set(PROJECT_DEP_VERSION "6.3.4")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# set up standard kde build settings

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

# Set C++ standard separately from KDECompilerSettings since that is set to an older C++ standard.
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# used cmake macros

include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMFindQmlModule)

# find dependencies

find_package(
    Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
        Core
        Concurrent
        Qml
        Quick
        QuickControls2
        QuickTemplates2
        Widgets
        DBus
        PrintSupport
        Test
        WaylandClient
        Multimedia
)
qt_policy(SET QTP0001 NEW)

if(Qt6_VERSION VERSION_EQUAL 6.8.0)
    # https://bugreports.qt.io/browse/QTBUG-129797
    message(NOTICE "Qt6_VERSION: ${Qt6_VERSION} detected. Enabling CAST_FROM_ASCII")
    remove_definitions(-DQT_NO_CAST_FROM_ASCII)
endif()

find_package(
    KF6 ${KF6_MIN_VERSION} REQUIRED
        CoreAddons
        WidgetsAddons
        DBusAddons
        Notifications
        Config
        I18n
        KIO
        WindowSystem
        GlobalAccel
        XmlGui
        GuiAddons
        KirigamiPlatform
        StatusNotifierItem
        Prison
        Crash
)

find_package(Wayland REQUIRED COMPONENTS Client)
find_package(PlasmaWaylandProtocols REQUIRED)
find_package(LayerShellQt REQUIRED)
find_package(KPipeWire)
find_package(OpenCV REQUIRED core imgproc)

set_package_properties(KPipeWire PROPERTIES DESCRIPTION
    "Used to record pipewire streams into a file"
    TYPE REQUIRED
)

# optional components
find_package(KF6DocTools ${KF6_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)
find_package(KF6Purpose)
if (KF6Purpose_FOUND)
    set(PURPOSE_FOUND 1)
endif()

find_package(XCB COMPONENTS XFIXES IMAGE UTIL CURSOR RANDR)
set(XCB_COMPONENTS_ERRORS FALSE)
set(XCB_COMPONENTS_FOUND TRUE)
if(NOT XCB_XFIXES_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-XFIXES ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_IMAGE_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-IMAGE ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_UTIL_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-UTIL ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_CURSOR_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-CURSOR ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()

# fail build if none of the platform backends can be found
if (NOT XCB_FOUND OR NOT XCB_COMPONENTS_FOUND)
    message(FATAL_ERROR "No suitable backend platform was found. Currently supported platforms are: XCB Components Required: ${XCB_COMPONENTS_ERRORS}")
endif()

# setup handling of deprecated Qt & KF API

ecm_set_disabled_deprecation_versions(QT 6.7  KF 6.5.0)

# hand off to subdirectories

add_subdirectory(src)
add_subdirectory(dbus)
add_subdirectory(desktop)
add_subdirectory(icons)
add_subdirectory(kconf_update)
add_subdirectory(tests)

if (KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()
ki18n_install(po)

ecm_qt_install_logging_categories(EXPORT SPECTACLE FILE spectacle.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

# summaries

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kde-spectacle 6.2.90

=== debian/changelog ===
kde-spectacle (1:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Add version epoch to changelog, as we are switching to a release as
    part of Plasma 6 and need to leave the KDE Gear versioning scheme
    behind.
  * Update watch file and upstream signing key for switch to Plasma
    release.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 05:30:05 +0000

kde-spectacle (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jan 2025 07:04:25 +0000

kde-spectacle (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:26:48 +0000

kde-spectacle (24.11.90-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Dec 2024 23:29:55 -0600

kde-spectacle (24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:21:39 -0600

kde-spectacle (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)
  * Drop no more meeded kubuntu_disable-QWebpPlugin-cmake-check.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:17:35 +0000

kde-spectacle (24.11.80-0ubuntu2) plucky; urgency=medium

  * Fix runtime dependency.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Nov 2024 17:13:51 +0000

kde-spectacle (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev
  * Add patch to disable cmake build time check for QWebpPlugin. This is
    runtime dependency.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Nov 2024 06:51:04 +0000

kde-spectacle (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)
  * Add missing qml module runtime depends.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 10:01:39 +0000

kde-spectacle (24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Aug 2024 15:25:57 +0200

kde-spectacle (24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2). (Closes: #1067060, #1030396)
  * Update build-deps and deps with info from cmake.
  * pkg-config -> pkgconf.
  * Use dh-sequence-kf6.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update copyright info.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Aug 2024 22:20:11 +0200

kde-spectacle (23.04.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.104.0
    - add libkpipewire-dev, and libpipewire-0.3-dev
    - explicitly add libqt5waylandclient5-dev, libwayland-dev,
      plasma-wayland-protocols, qtbase5-private-dev, and qtwayland5-dev-tools
    - drop no more needed/used: libkf5declarative-dev, libkf5kipi-dev,
      libkf5newstuff-dev, libkf5screen-dev, and libkf5wayland-dev
  * Update the patches:
    - fix-%t-pattern-in-fullscreen-captures: drop, no more needed

 -- Pino Toscano <pino@debian.org>  Sat, 17 Jun 2023 08:23:18 +0200

kde-spectacle (23.03.70~git20230104.712cb8f1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git snapshot (23.03.70~git20230104.712cb8f1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jan 2023 23:22:22 +0100

kde-spectacle (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:27 +0100

kde-spectacle (22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again blhc, as it works fine now with blhc 0.13.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 10:36:35 +0100

kde-spectacle (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:07:25 +0100

kde-spectacle (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:49 +0100

kde-spectacle (22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Sep 2022 18:41:01 +0200

kde-spectacle (22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 May 2022 23:17:50 +0200

kde-spectacle (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Mar 2022 21:53:51 +0100

kde-spectacle (21.12.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.2).
  * Refresh patches.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 02 Mar 2022 23:18:19 +0100

kde-spectacle (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).


=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkcolorpicker-qt6-dev,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev,
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6doctools-dev (>= 6.10.0~),
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6guiaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6prison-dev (>= 6.10.0~),
               libkf6purpose-dev (>= 6.10.0~),
               libkf6statusnotifieritem-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkf6xmlgui-dev (>= 6.10.0~),
               libkimageannotator-qt6-dev,
               libkirigami-dev (>= 6.10.0~),
               libkpipewire-dev (>= 6.2.90~),
               liblayershellqtinterface-dev (>= 6.2.90~),
               libopencv-core-dev,
               libopencv-dev,
               libopencv-imgproc-dev,
               libpipewire-0.3-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libzxing-dev,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev (>= 6.7.0~),
               qt6-multimedia-dev (>= 6.7.0~),
               qt6-svg-dev (>= 6.7.0~),
               qt6-wayland-dev (>= 6.7.0~),
               qt6-wayland-dev-tools (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-qtqml,
         qml6-module-qtmultimedia,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         qt6-image-formats-plugins,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/spectacle@ANY_VERSION@@ARCHIVE_EXT@

## kde-spectacle 6.3.0

=== debian/changelog ===
kde-spectacle (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:58 +0100

kde-spectacle (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:53:15 +0100

kde-spectacle (4:6.2.90-1) experimental; urgency=medium

  * Update watch file now that Spectacle is part of the Plasma release
    train.
  * Update upstream signing key to match other Plasma packages.
  * New upstream release (6.2.90).
  * Bump epoch to account for versioning scheme change.
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Jan 2025 00:46:30 +0100

kde-spectacle (24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 22:00:52 +0100

kde-spectacle (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 22:12:00 +0100

kde-spectacle (24.08.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Use dh_qmldeps to detect QML dependencies.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 26 Nov 2024 08:18:20 +0100

kde-spectacle (23.08.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Update B-Ds for kcolorpicker and kimageannotator to the new explicit
    Qt 5 packages (Closes: #1070638).

 -- Patrick Franz <deltaone@debian.org>  Tue, 07 May 2024 12:45:49 +0200

kde-spectacle (23.08.5-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.5).
  * Add runtime dependency on qml-module-qtquick-shapes. (Closes:
    #1050313)
  * Update build-deps with info from cmake.
  * Build depend on pkgconf instead of transitional pkg-config.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Apr 2024 20:55:25 +0200

kde-spectacle (23.04.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Jun 2023 21:03:55 +0200

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkcolorpicker-qt6-dev,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6doctools-dev (>= 6.10.0~),
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6guiaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6prison-dev (>= 6.10.0~),
               libkf6purpose-dev (>= 5.240.0~),
               libkf6statusnotifieritem-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkf6xmlgui-dev (>= 6.10.0~),
               libkimageannotator-qt6-dev,
               libkirigami-dev (>= 6.10.0~),
               libkpipewire-dev (>= 5.240.0~),
               liblayershellqtinterface-dev (>= 5.240.0~),
               libopencv-core-dev,
               libopencv-dev,
               libopencv-imgproc-dev,
               libpipewire-0.3-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libzxing-dev,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev (>= 6.6.0~),
               qt6-multimedia-dev (>= 6.7.0~),
               qt6-svg-dev (>= 6.6.0~),
               qt6-wayland-dev (>= 6.7.0~),
               qt6-wayland-dev-tools (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 6.3.2.1

=== debian/changelog ===
kde-spectacle (4:6.3.2.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1.2).
  * New upstream release (6.3.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:53:25 +0100

## kde-spectacle 6.3.4

=== debian/changelog ===
kde-spectacle (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:59:57 +0100

kde-spectacle (4:6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:12:53 -0500

kde-spectacle (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:26:47 +0000

kde-spectacle (4:6.3.2.1-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 15:15:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kde-spectacle
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkcolorpicker-qt6-dev,
@@ -28,8 +29,8 @@
                libkf6xmlgui-dev (>= 6.10.0~),
                libkimageannotator-qt6-dev,
                libkirigami-dev (>= 6.10.0~),
-               libkpipewire-dev (>= 5.240.0~),
-               liblayershellqtinterface-dev (>= 5.240.0~),
+               libkpipewire-dev (>= 6.3.4~),
+               liblayershellqtinterface-dev (>= 6.3.4~),
                libopencv-core-dev,
                libopencv-dev,
                libopencv-imgproc-dev,
@@ -54,8 +55,8 @@
                qt6-wayland-dev-tools (>= 6.6.0~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/spectacle
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
 Rules-Requires-Root: no
 
 Package: kde-spectacle

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/spectacle-@ANY_VERSION@@ARCHIVE_EXT@

## kde-spectacle 6.3.5

=== src/CMakeLists.txt ===
# common - configure file and version definitions

set(SPECTACLE_QML_URI "org.kde.spectacle.private")
set(SPECTACLE_QML_PATH "qrc:/qt/qml/org/kde/spectacle/private")
configure_file(Config.h.in ${CMAKE_CURRENT_BINARY_DIR}/Config.h)

# target

kconfig_add_kcfg_files(SPECTACLE_SRCS GENERATE_MOC Gui/SettingsDialog/settings.kcfgc)

ecm_qt_declare_logging_category(SPECTACLE_SRCS
    HEADER spectacle_debug.h
    IDENTIFIER SPECTACLE_LOG
    CATEGORY_NAME spectacle
    DESCRIPTION "spectacle (general)"
    EXPORT SPECTACLE
)

add_executable(spectacle)
qt_add_qml_module(spectacle URI ${SPECTACLE_QML_URI} DEPENDENCIES QtCore QtQuick)

target_sources(spectacle PRIVATE
    ${SPECTACLE_SRCS}
    Main.cpp
    CaptureModeModel.cpp
    CommandLineOptions.cpp
    RecordingModeModel.cpp
    ExportManager.cpp
    Geometry.cpp
    PlasmaVersion.cpp
    ScreenShotEffect.cpp
    SpectacleCore.cpp
    SpectacleDBusAdapter.cpp
    ShortcutActions.cpp
    VideoFormatModel.cpp
    Gui/CaptureWindow.cpp
    Gui/ExportMenu.cpp
    Gui/HelpMenu.cpp
    Gui/OptionsMenu.cpp
    Gui/SmartSpinBox.cpp
    Gui/Selection.cpp
    Gui/SelectionEditor.cpp
    Gui/SpectacleWindow.cpp
    Gui/SpectacleMenu.cpp
    Gui/ViewerWindow.cpp
    Gui/Annotations/AnnotationDocument.cpp
    Gui/Annotations/AnnotationTool.cpp
    Gui/Annotations/AnnotationViewport.cpp
    Gui/Annotations/EffectUtils.cpp
    Gui/Annotations/History.cpp
    Gui/Annotations/QmlPainterPath.cpp
    Gui/Annotations/Traits.cpp
    Gui/SettingsDialog/ImageSaveOptionsPage.cpp
    Gui/SettingsDialog/VideoFormatComboBox.cpp
    Gui/SettingsDialog/VideoSaveOptionsPage.cpp
    Gui/SettingsDialog/SettingsDialog.cpp
    Gui/SettingsDialog/GeneralOptionsPage.cpp
    Gui/SettingsDialog/ShortcutsOptionsPage.cpp
    Platforms/PlatformLoader.cpp
    Platforms/ImagePlatform.cpp
    Platforms/PlatformNull.cpp
    Platforms/ImagePlatformKWin.cpp
    Platforms/VideoPlatform.cpp
    Platforms/VideoPlatformWayland.cpp
    Platforms/screencasting.cpp
)

if(XCB_FOUND)
    target_sources(spectacle PRIVATE Platforms/ImagePlatformXcb.cpp Platforms/ImagePlatformXcb.h)

    target_link_libraries(spectacle PRIVATE
        XCB::XFIXES
        XCB::IMAGE
        XCB::CURSOR
        XCB::UTIL
        XCB::RANDR
    )
    target_link_libraries(spectacle PRIVATE Qt6::GuiPrivate) # Gui/private/qtx11extras_p.h
endif()

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt6_generate_wayland_protocol_client_sources(spectacle FILES
    ${PLASMA_WAYLAND_PROTOCOLS_DIR}/zkde-screencast-unstable-v1.xml
    ${private_code_option}
)


if(PURPOSE_FOUND)
    target_link_libraries(spectacle PRIVATE KF6::PurposeWidgets)
endif()

ki18n_wrap_ui(spectacle
    Gui/SettingsDialog/GeneralOptions.ui
    Gui/SettingsDialog/ImageSaveOptions.ui
    Gui/SettingsDialog/VideoSaveOptions.ui
)

# Needed to compile with OpenCV
target_compile_options (spectacle PRIVATE -fexceptions)

target_include_directories(spectacle PUBLIC ${OpenCV_INCLUDE_DIRS})

target_link_libraries(spectacle PRIVATE
    Qt::Concurrent
    Qt::DBus
    Qt::PrintSupport
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::QuickTemplates2
    Qt::GuiPrivate
    Qt::WaylandClient
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::WidgetsAddons
    KF6::Notifications
    KF6::ConfigCore
    KF6::I18n
    KF6::KIOWidgets
    KF6::WindowSystem
    KF6::GlobalAccel
    KF6::XmlGui
    KF6::GuiAddons
    KF6::KirigamiPlatform
    KF6::StatusNotifierItem
    KF6::PrisonScanner
    KF6::Crash
    K::KPipeWireRecord
    Wayland::Client
    LayerShellQt::Interface
    ${OpenCV_LIBRARIES}
)

# qt_add_qml_module doesn't know how to deal with headers in subdirectories so
# make sure to add those so the headers can be found.
target_include_directories(spectacle PRIVATE
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/Gui>"
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/Gui/Annotations>"
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/Platforms>"
)

set_source_files_properties(Gui/QmlUtils.qml PROPERTIES
  QT_QML_SINGLETON_TYPE TRUE
)

qt_target_qml_sources(spectacle
    QML_FILES
    Gui/AnimatedLoader.qml
    Gui/AnnotationOptionsToolBarContents.qml
    Gui/Annotations/AnnotationEditor.qml
    Gui/Annotations/CropTool.qml
    Gui/Annotations/HoverOutline.qml
    Gui/Annotations/SelectionTool.qml
    Gui/Annotations/TextTool.qml
    Gui/AnnotationsToolBarContents.qml
    Gui/ButtonGrid.qml
    Gui/CaptureModeButtonsColumn.qml
    Gui/CaptureOptions.qml
    Gui/CaptureSettingsColumn.qml
    Gui/CopiedMessage.qml
    Gui/DashedOutline.qml
    Gui/DelaySpinBox.qml
    Gui/DialogPage.qml
    Gui/EmptyPage.qml
    Gui/FloatingBackground.qml
    Gui/FloatingToolBar.qml
    Gui/Handle.qml
    Gui/ImageCaptureOverlay.qml
    Gui/ImageView.qml
    Gui/InlineMessage.qml
    Gui/LocationCopiedMessage.qml
    Gui/Magnifier.qml
    Gui/MainToolBarContents.qml
    Gui/Outline.qml
    Gui/QRCodeScannedMessage.qml
    Gui/QmlUtils.qml
    Gui/RecordOptions.qml
    Gui/RecordingFailedMessage.qml
    Gui/RecordingModeButtonsColumn.qml
    Gui/RecordingSettingsColumn.qml
    Gui/RecordingView.qml
    Gui/SavedAndCopiedMessage.qml
    Gui/SavedAndLocationCopied.qml
    Gui/SavedMessage.qml
    Gui/ScreenshotFailedMessage.qml
    Gui/ScreenshotView.qml
    Gui/ShareErrorMessage.qml
    Gui/SharedMessage.qml
    Gui/ShortcutsTextBox.qml
    Gui/SizeLabel.qml
    Gui/UndoRedoGroup.qml
    Gui/VideoCaptureOverlay.qml
)

install(TARGETS spectacle ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kde-spectacle (4:6.3.5-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Fix export notifications keeping spectacle from closing. (kde#503838)
    - Fix crash related to setups with multiple displays. (kde#503682)
    - Fix rectangular region selecting on wrong screen with certain screen
    setups. (kde#502047)
  * Point upstream source to invent git repo.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Jun 2025 22:14:09 +0200

kde-spectacle (4:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Backport upstream commits:
    - Fix spectacle freezing when finishing the rendering after the end of
    video capture sessions.
    - Set rendering message for system tray icon tooltip.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:40 +0200

kde-spectacle (4:6.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: kde-spectacle
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkcolorpicker-qt6-dev,
@@ -29,8 +28,8 @@
                libkf6xmlgui-dev (>= 6.10.0~),
                libkimageannotator-qt6-dev,
                libkirigami-dev (>= 6.10.0~),
-               libkpipewire-dev (>= 6.3.4~),
-               liblayershellqtinterface-dev (>= 6.3.4~),
+               libkpipewire-dev (>= 5.240.0~),
+               liblayershellqtinterface-dev (>= 5.240.0~),
                libopencv-core-dev,
                libopencv-dev,
                libopencv-imgproc-dev,
@@ -53,10 +52,10 @@
                qt6-svg-dev (>= 6.6.0~),
                qt6-wayland-dev (>= 6.7.0~),
                qt6-wayland-dev-tools (>= 6.6.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/en/spectacle
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
 Rules-Requires-Root: no
 
 Package: kde-spectacle

## kde-spectacle 6.4.4

=== debian/changelog ===
kde-spectacle (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:32:28 +0100

kde-spectacle (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:37:27 +0100

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libkcolorpicker-qt6-dev,
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6prison-dev (>= 6.14.0~),
               libkf6purpose-dev (>= 6.14.0~),
               libkf6statusnotifieritem-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkimageannotator-qt6-dev,
               libkirigami-dev (>= 6.14.0~),
               libkpipewire-dev (>= 6.4.4~),
               liblayershellqtinterface-dev (>= 6.4.4~),
               libopencv-core-dev,
               libopencv-dev,
               libopencv-imgproc-dev,
               libpipewire-0.3-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libzxing-dev,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.8.0~),
               qt6-multimedia-dev (>= 6.8.0~),
               qt6-svg-dev (>= 6.8.0~),
               qt6-wayland-dev (>= 6.8.0~),
               qt6-wayland-dev-tools (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 6.4.5

=== tests/CMakeLists.txt ===
include_directories(${PROJECT_SOURCE_DIR}/src)

SET(FILENAME_TEST_SRCS
    FilenameTest.cpp
    ../src/ShortcutActions.cpp
    ../src/ExportManager.cpp
    ../src/Platforms/ImagePlatform.cpp
    ../src/Platforms/VideoPlatform.cpp
)

ecm_qt_declare_logging_category(FILENAME_TEST_SRCS
    HEADER spectacle_debug.h
    IDENTIFIER SPECTACLE_LOG
    CATEGORY_NAME spectacle
    DESCRIPTION "spectacle (general)"
    EXPORT SPECTACLE
)

kconfig_add_kcfg_files(FILENAME_TEST_SRCS GENERATE_MOC ${PROJECT_SOURCE_DIR}/src/Gui/SettingsDialog/settings.kcfgc)

ecm_add_test(
    ${FILENAME_TEST_SRCS}
    TEST_NAME "filename_test"
    LINK_LIBRARIES  Qt::Test
        Qt::PrintSupport Qt::Qml KF6::I18n KF6::ConfigCore KF6::GlobalAccel KF6::KIOCore KF6::WindowSystem KF6::XmlGui KF6::GuiAddons KF6::PrisonScanner
)

=== debian/changelog ===
kde-spectacle (4:6.4.5-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Sep 2025 06:30:49 +0100

kde-spectacle (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:04:59 +0100

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,8 @@
                libkf6xmlgui-dev (>= 6.14.0~),
                libkimageannotator-qt6-dev,
                libkirigami-dev (>= 6.14.0~),
-               libkpipewire-dev (>= 6.4.4~),
-               liblayershellqtinterface-dev (>= 6.4.4~),
+               libkpipewire-dev (>= 6.4.5~),
+               liblayershellqtinterface-dev (>= 6.4.5~),
                libopencv-core-dev,
                libopencv-dev,
                libopencv-imgproc-dev,

## kde-spectacle 6.4.5+p24.04+vstable+git20251003.1053

=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vstable+git20251003.1053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 10:53:29 +0000

kde-spectacle (1:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:43:53 +0000

kde-spectacle (1:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:26:53 +0000

kde-spectacle (1:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:16:34 +0000

kde-spectacle (1:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:46:03 +0000

kde-spectacle (1:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:57:34 +0000

kde-spectacle (1:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:34:52 +0000

kde-spectacle (1:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:05:53 +0000

kde-spectacle (1:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:19:34 +0000

kde-spectacle (1:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:16:08 +0000

kde-spectacle (1:6.3.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:17:21 +0000

kde-spectacle (1:6.3.1.2-0neon) noble; urgency=medium

  [ Jonathan Riddell ]
  * Now part of Plasma

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:03:08 +0000

kde-spectacle (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:36:42 +0000

kde-spectacle (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:06:02 +0000

kde-spectacle (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:58:31 +0000

kde-spectacle (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:22:36 +0000

kde-spectacle (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:46:24 +0000

kde-spectacle (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:18:35 +0000

kde-spectacle (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:10:24 +0000

kde-spectacle (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:52:14 +0000

kde-spectacle (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:09:10 +0000

kde-spectacle (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:53:50 +0000

kde-spectacle (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:42:17 +0000

kde-spectacle (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:21:44 +0000

kde-spectacle (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:09:01 +0000

kde-spectacle (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:59:29 +0000

kde-spectacle (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:46:12 +0000

kde-spectacle (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:31:01 +0000

kde-spectacle (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:30:51 +0000

kde-spectacle (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:07:02 +0000

kde-spectacle (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:39:53 +0000

kde-spectacle (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:59:15 +0000

kde-spectacle (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:37:09 +0000

kde-spectacle (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:13:46 +0000

kde-spectacle (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:18:29 +0000

kde-spectacle (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:41:33 +0000

kde-spectacle (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:55:21 +0000

kde-spectacle (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:27:12 +0000

kde-spectacle (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:52:24 +0000

kde-spectacle (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:47:31 +0000

kde-spectacle (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:58:26 +0000

kde-spectacle (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:07:45 +0000

kde-spectacle (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:04:39 +0000

kde-spectacle (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Nov 2021 16:48:08 +0000

kde-spectacle (21.08.2-0neon) focal; urgency=medium

  * New release



## kde-spectacle 6.4.5+p24.04+vstable+git20251004.0518

=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vstable+git20251004.0518-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:18:08 +0000

## kde-spectacle 6.4.5+p24.04+vstable+git20251017.0822

=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vstable+git20251017.0822-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 08:22:29 +0000

## kde-spectacle 6.4.5+p24.04+vstable+git20251019.0609

=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vstable+git20251019.0609-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:09:32 +0000

## kde-spectacle 6.4.5+p24.04+vstable+git20251021.0343

=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vstable+git20251021.0343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:43:56 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma/([\d.]+)/spectacle-([\d.]+).tar.xz

## kde-spectacle 6.4.5+p24.04+vunstable+git20251009.0706

=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vunstable+git20251009.0706-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 07:06:38 +0000

## kde-spectacle 6.4.5+p24.04+vunstable+git20251015.1703

=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vunstable+git20251015.1703-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:03:32 +0000

## kde-spectacle 6.4.5+p24.04+vunstable+git20251020.0351

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 # Managed by release script
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.5.80")
 set(SPECTACLE_VERSION ${PROJECT_VERSION})
 
 # Spectacle project
 project(Spectacle VERSION ${SPECTACLE_VERSION})
 
 # minimum requirements
-set(PROJECT_DEP_VERSION "6.3.4")
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(PROJECT_DEP_VERSION "6.4.90")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -61,6 +61,10 @@
     remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 endif()
 
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
+
 find_package(
     KF6 ${KF6_MIN_VERSION} REQUIRED
         CoreAddons
@@ -84,7 +88,7 @@
 find_package(PlasmaWaylandProtocols REQUIRED)
 find_package(LayerShellQt REQUIRED)
 find_package(KPipeWire)
-find_package(OpenCV REQUIRED core imgproc)
+find_package(OpenCV 4.7 REQUIRED core imgproc)
 
 set_package_properties(KPipeWire PROPERTIES DESCRIPTION
     "Used to record pipewire streams into a file"

=== debian/changelog ===
kde-spectacle (1:6.4.5+p24.04+vunstable+git20251020.0351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:51:03 +0000

## kde-spectacle 6.4.91

=== debian/changelog ===
kde-spectacle (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Use plasma-devel@kde.org as the upstream contact.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:22:31 +0200

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkcolorpicker-qt6-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6prison-dev (>= 6.18.0~),
               libkf6purpose-dev (>= 5.240.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkimageannotator-qt6-dev,
               libkirigami-dev (>= 6.18.0~),
               libkpipewire-dev (>= 5.240.0~),
               liblayershellqtinterface-dev (>= 5.240.0~),
               libopencv-core-dev (>= 4.7~),
               libopencv-dev,
               libopencv-imgproc-dev (>= 4.7~),
               libpipewire-0.3-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libzxing-dev,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.6.0~),
               qt6-multimedia-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.6.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-dev-tools (>= 6.6.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.
